Package org.apache.sling.feature.analyser.task

# Interface AnalyserTask

@ConsumerType public interface AnalyserTask
A analyser task analyses a specific part of the assembled application. It can report errors and warnings.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(AnalyserTaskContext ctx)`
Execute the task.
`default String`
`getId()`
A unique (short) ID.
`default String`
`getName()`
A human readable name to identify the task.

## Method Details

### getId

default String getId()
A unique (short) ID.

Returns:
  the task ID.

### getName

default String getName()
A human readable name to identify the task.

Returns:
  the task name.

### execute

void execute(AnalyserTaskContext ctx) throws Exception
Execute the task.

Parameters:
  `ctx` - the task context.
Throws:
  `Exception` - when the task throws an exception.